Last Comment Bug 60003 - Recursive printing
: Recursive printing
Status: NEW
:
Product: Core
Classification: Components
Component: Printing: Output (show other bugs)
: Trunk
: DEC All
: P3 enhancement with 2 votes (vote)
: Future
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://www.jchq.net/tutorial/introj2.htm
Depends on:
Blocks: 125824
  Show dependency treegraph
 
Reported: 2000-11-13 14:15 PST by gayatrib
Modified: 2014-12-13 21:58 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description gayatrib 2000-11-13 14:15:54 PST
Given a page with multiple links, it would be very useful to have atleast one
level depth of recursive printing. Example, is link above. It would be very
useful to have all the links printed, rather than click on each on individually.
Comment 1 dcone (gone) 2000-11-13 18:56:17 PST
This is something to consider as a feature...
Comment 2 Christopher Hoess (gone) 2002-04-29 11:44:09 PDT
LATER is deprecated per bug 35839.
Comment 3 Christopher Hoess (gone) 2002-04-29 11:44:26 PDT
->rods
Comment 4 dcone (gone) 2002-04-29 12:20:21 PDT
I think this could be way to complicated to do.  
Comment 5 Roland Mainz 2002-04-29 13:39:44 PDT
dcone:
"viewer" has such a webcrawler - we would only need a regex(-like) filter to
filter the URLs of the links and a counter for the maximum recursions...
Comment 6 sujay 2002-05-21 14:22:15 PDT
Gayatri/Roland, can you verify this and mark verified-fixed ? thanks.
Comment 7 Roland Mainz 2002-05-22 00:14:07 PDT
Uhm... why was this bug marked as "FIXED" ? There is no patch, no discussion...
;-(
Comment 8 rods (gone) 2002-05-22 08:27:57 PDT
Yes, this isn't fixed
Comment 9 Mats Palmgren (vacation) 2014-12-13 21:58:14 PST
As described, this is probably better done as an add-on IMO.

A slightly different feature might be worth implementing though: a "print all tabs"
checkbox in the print dialog.  Then you could use an add-on like for example Linky
https://addons.mozilla.org/en-US/firefox/addon/linky/ to open a bunch of links in tabs
and then print them in one go.  It's a two step operation, but probably good enough.

Note You need to log in before you can comment on or make changes to this bug.